
#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){	
    // iOS default stuff
	ofRegisterTouchEvents(this);
	ofxAccelerometer.setup();
	ofxiPhoneAlerts.addListener(this);
    
    myFont.loadFont("Gill Sans MT.ttf", 17);    
    startscreen=true;
    timeOffset=0;
    connectedVerbs=0;
    //level=0;
    //verb_startingvalue=1;
    //iPhoneSetOrientation(OFXIPHONE_ORIENTATION_LANDSCAPE_RIGHT);
	ofBackground(0,0,0);
    
    
    personaprouns_array[0] = "basicform";
    personaprouns_array[1] = "yo";
    personaprouns_array[2] = "tu";
    personaprouns_array[3] = "el, ella";
    personaprouns_array[4] = "nosotros";
    personaprouns_array[5] = "vosotros";
    personaprouns_array[6] = "ellos";
    
    verbs_array[0][0] = "ir";
    verbs_array[1][0] = "voy";
    verbs_array[2][0] = "vas";
    verbs_array[3][0] = "va";
    verbs_array[4][0] = "vamos";
    verbs_array[5][0] = "vais";
    verbs_array[6][0] = "van";
    
    //Add more verbs to the next version?
    verbs_array[7][1] = "decir";
    verbs_array[8][1] = "digo";
    verbs_array[9][1] = "dices";
    verbs_array[10][1] = "dice";
    verbs_array[11][1] = "decimos";
    verbs_array[12][1] = "decis";
    verbs_array[13][1] = "dicen";
    
    
    for(int i=1;i<prouns;i++){
        prounsarray[i].setup(personaprouns_array[i]);
    }
    
    
    for(int i=1;i<verbs;i++){
     verbsarray[i].setup(verbs_array[i][0]);
    }

    /*Next version: ?
     for(int i=verb_startingvalue;i<verbs;i++){
        verbsarray[i].setup(verbs_array[i][level]);
    }*/

}


//--------------------------------------------------------------
void testApp::update(){
    
    for(int i=1;i<prouns;i++){
        prounsarray[i].update();
    }
    
    for(int i=1;i<verbs;i++){
        verbsarray[i].update();
    }

  
    time = ofGetSeconds()-timeOffset;    
    
}
//--------------------------------------------------------------
void testApp::draw(){

    for(int i=1;i<prouns;i++){
        prounsarray[i].draw();
    }
    
    for(int i=1;i<verbs;i++){
        verbsarray[i].draw();
    }    
    
    ofSetColor(255, 255, 255);
    
    
    
        
    
    myFont.drawString("Verb:"+verbs_array[0][0], 10, 30);
    myFont.drawString("Connected:"+ofToString(connectedVerbs,0)+"/6", 175, 30);
    //Timer works but needs some adjustment...
    //myFont.drawString("Time: "+ofToString(time,0)+"secs", 165, 30); 
        
    
    if(startscreen){
        ofSetColor(0, 0, 0);  
        ofRect(0, 0, 1000, 1000);
        ofSetColor(10, 255, 22 , 127);            
        ofRect(75, 200, 200, 60);
        ofSetColor(255, 234, 0);
        myFont.drawString("Start Game!" , 110, 240);   
        
        ofSetColor(255, 255, 255);
        myFont.drawString("Connect personal prouns" , 55, 110);
        myFont.drawString("with the right verb forms." , 55, 130);
        
    }  
    
    if(connectedVerbs == 6){
        ofSetColor(0, 0, 0);  
        ofRect(0, 0, 1000, 1000);
        ofSetColor(255, 234, 0);
        myFont.drawString("You connected all 6 verbs." , 40, 100);  
        myFont.drawString("Congratulations!" , 75, 200);
        
        ofSetColor(10, 255, 22 , 127);            
        ofRect(60, 260, 200, 60);
        ofSetColor(255, 234, 0);
        myFont.drawString("Play next level>>" , 75, 295); 
        
    }
    
}

//--------------------------------------------------------------
void testApp::exit(){
}
//--------------------------------------------------------------
void testApp::touchDown(ofTouchEventArgs &touch){
   
    for(int i=1;i<prouns;i++){
        prounsarray[i].checkTouched(touch.x,touch.y,touch.id);
    }
    
    for(int i=1;i<verbs;i++){
        verbsarray[i].checkTouched(touch.x,touch.y,touch.id);
    }       
    
    if(startscreen == true){
        if(touch.x > 75 && touch.x < 275 && touch.y > 200 && touch.y < 260){
            timeOffset = ofGetElapsedTimef(); 
            startscreen=false;            
                 
        }
    }
    
if(connectedVerbs == 6){
    if(touch.x > 60 && touch.x < 260 && touch.y > 260 && touch.y < 320){
        time = 0; 
        startscreen=true; 
                /* For version 2.0 ?? :
        //Add 1 to the verbs_array[][here] every time level changes
        level = level + 1;   
        //Add 7 to the verbs_array[here][] every time level changes
        verb_startingvalue = verb_startingvalue + 7;
        for(int i=verb_startingvalue;i<verbs;i++){
            verbsarray[i].setup(verbs_array[i][level]);
            //verbsarray[i].setup(verbs_array[i][0]);
        }*/
        
              
        for(int i=1;i<prouns;i++){
                prounsarray[i].green = false;
        }
            
        for(int i=1;i<verbs;i++){
                verbsarray[i].green = false;
        }    
        
        connectedVerbs = 0;
        

    }
}
    //For next version verbsarray jaollinen 8 ??
  
    if(prounsarray[1].touching0 == true && verbsarray[1].touching1 == true || 
       prounsarray[1].touching1 == true && verbsarray[1].touching0 == true){
        prounsarray[1].green = true;
        verbsarray[1].green = true; 
        connectedVerbs += 1;    } 

    
    if(prounsarray[2].touching0 == true && verbsarray[2].touching1 == true || 
       prounsarray[2].touching1 == true && verbsarray[2].touching0 == true){
        prounsarray[2].green = true;
        verbsarray[2].green = true;   
        connectedVerbs += 1;
    } 
    
    if(prounsarray[3].touching0 == true && verbsarray[3].touching1 == true || 
       prounsarray[3].touching1 == true && verbsarray[3].touching0 == true){
        prounsarray[3].green = true;
        verbsarray[3].green = true;  
        connectedVerbs += 1;
    } 
    
    if(prounsarray[4].touching0 == true && verbsarray[4].touching1 == true || 
       prounsarray[4].touching1 == true && verbsarray[4].touching0 == true){
        prounsarray[4].green = true;
        verbsarray[4].green = true;  
        connectedVerbs += 1;
    } 
    
    if(prounsarray[5].touching0 == true && verbsarray[5].touching1 == true || 
       prounsarray[5].touching1 == true && verbsarray[5].touching0 == true){
        prounsarray[5].green = true;
        verbsarray[5].green = true; 
        connectedVerbs += 1;
    } 
    
    if(prounsarray[6].touching0 == true && verbsarray[6].touching1 == true || 
       prounsarray[6].touching1 == true && verbsarray[6].touching0 == true){
        prounsarray[6].green = true;
        verbsarray[6].green = true;  
        connectedVerbs += 1;
    } 
    
}


//--------------------------------------------------------------
void testApp::touchMoved(ofTouchEventArgs &touch){
   
    for(int i=1;i<prouns;i++){
        //prounsarray[i].checkTouched(touch.x, touch.y, touch.id);
        prounsarray[i].drag(touch.x, touch.y, touch.id);
    }
    
    for(int i=1;i<verbs;i++){
        //verbsarray[i].checkTouched(touch.x, touch.y, touch.id);
        verbsarray[i].drag(touch.x, touch.y, touch.id);
    }       
}
//--------------------------------------------------------------
void testApp::touchUp(ofTouchEventArgs &touch){
    
    for(int i=1;i<prouns;i++){
        if(touch.id == 0){
            prounsarray[i].touching0 = false;
        }else if(touch.id == 1){
            prounsarray[i].touching1 = false; 
        }    }
    
    for(int i=1;i<verbs;i++){
        if(touch.id == 0){
            verbsarray[i].touching0 = false;
        }else if(touch.id == 1){
            verbsarray[i].touching1 = false; 
        }
    }      
    
    
}

//--------------------------------------------------------------
void testApp::touchDoubleTap(ofTouchEventArgs &touch){

}

//--------------------------------------------------------------
void testApp::lostFocus(){

}

//--------------------------------------------------------------
void testApp::gotFocus(){

}

//--------------------------------------------------------------
void testApp::gotMemoryWarning(){

}

//--------------------------------------------------------------
void testApp::deviceOrientationChanged(int newOrientation){

}


//--------------------------------------------------------------
void testApp::touchCancelled(ofTouchEventArgs& args){

}

